commit:     fd26969ef671ecb9b6e8b2dfe5b7675326746957
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 16 23:42:45 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 00:08:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd26969e

dev-python/3to2: Port up to py3.9, fix ebuild

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/3to2/3to2-1.1.1-r1.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-python/3to2/3to2-1.1.1-r1.ebuild 
b/dev-python/3to2/3to2-1.1.1-r1.ebuild
index 901ee6302dd..8f3da8e9d47 100644
--- a/dev-python/3to2/3to2-1.1.1-r1.ebuild
+++ b/dev-python/3to2/3to2-1.1.1-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6..9} )
 inherit distutils-r1
 
 DESCRIPTION="Tool to refactor valid 3.x syntax into valid 2.x syntax"
@@ -17,7 +17,7 @@ IUSE=""
 
 BDEPEND="app-arch/unzip"
 
-python_prepare() {
+python_prepare_all() {
        # 
https://bitbucket.org/amentajo/lib3to2/issues/50/testsuite-fails-with-new-python-35
        # Remove failing test
        sed -i -e "/test_argument_unpacking/a \\        return"\
@@ -30,5 +30,5 @@ python_prepare() {
 python_test() {
        cd "${BUILD_DIR}"/lib || die
        # the standard test runner fails to properly return failure
-       "${EPYTHON}" -m unittest discover || die "Tests fail with ${EPYTHON}"
+       "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
 }

Reply via email to